@echo off
rem Syntax: vacbld_c_to_obj.cmd animals.obj.icc animals.obj animals.c
echo option > %1
echo    incl(searchpath, "..\\..\\..\\..\\include"), >> %1
echo    incl(searchpath, "."), >> %1
echo    link(extdictionary, no), >> %1
echo    link(linkwithsharedlib, yes), >> %1
echo    gen(rtti, yes), >> %1
echo    link(libsearchpath, "..\\..\\..\\..\\.."), >> %1
echo    link(linkwithmultithreadlib, "yes"), >> %1
echo    opt(level, "2"), >> %1
echo    opt(tune, "pentium2"), >> %1
echo    gen(arch, "pentium2"), >> %1
echo    link(padding, "no"), >> %1
echo    link(debug, "no") >> %1
echo { >> %1
echo    target type("obj") "%2" >> %1
echo    { >> %1
echo       source type(c) "%3" >> %1
echo    } >> %1
echo } >> %1
